if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q /usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/lib ; rm -rf monodoc )
( cd usr/lib ; ln -sf /usr/doc/notify-sharp-0.4.0/monodoc monodoc )
( cd usr/lib/mono/notify-sharp ; rm -rf notify-sharp.dll )
( cd usr/lib/mono/notify-sharp ; ln -sf ../gac/notify-sharp/0.4.0.0__2df29c54e245917a/notify-sharp.dll notify-sharp.dll )
